import { buildUUID } from '../../../../utils/uuid';
//import { ApiAction, ApiActionPage } from '../../model/baseModel';
import { genAction, Api } from '../../system';
import { useUserStore } from '/@/store/modules/user';
import { defHttp } from '/@/utils/http/axios';
import { isNullOrEmpty } from '/@/utils/is';
import { formatToDateTime } from '/@/utils/dateUtil';

/*
 * 获取锡膏胶水信息
 */

export const getloadhisListByPage = async (params: any) => {
  let order = ''
  if (params.order != undefined) {
    order = params.order == 'descend' ? (params.field + ' desc') : params.field
  }
  let sqlcmd = '1=1';
  if (params?.UPN != undefined && params?.OPERATION != '') {
    sqlcmd += " And OPERATION like '%" + params?.OPERATION + "%'";
  }
  if (params?.UPN != undefined && params?.LINE_CODE != '') {
    sqlcmd += " And LINE_CODE like '%" + params?.LINE_CODE + "%'";
  }
  if (params?.UPN != undefined && params?.WORK_ORDER != '') {
    sqlcmd += " And WORK_ORDER like '%" + params?.WORK_ORDER + "%'";
  }

  let option ={
    UserId:useUserStore().getUserInfo.userId as string,
    ByOrg:true,
    OrgCode:useUserStore().getUserInfo.orgCode as string
  }
  if (!isNullOrEmpty(params.page)) {
    const usParams = genAction('SMT_LOAD_HIS', {
      QueryAble_T: '',
      where: sqlcmd,
      order: order,
      page: {
        pageAble_T: 'string',
        draw: 1,
        pageIndex: params.page,
        pageSize: params.pageSize,
      }
    });
    return getLoadhisListByPageAsync(usParams);
  } else {
    const usParams = genAction('SMT_LOAD_HIS', {
      QueryAble_T: '',
      where: sqlcmd
    });
    return getLoadhisListByPageAsync(usParams);
  }
  // const rParams = genActionPage('BIZ_ERP_PROD_IN', sqlcmd, params.page, params.pageSize,option);
  // return getFinishedwarehouseListByPageAsync(rParams);
};
async function getLoadhisListByPageAsync(params: any) {
  const data = await defHttp.post(
    { url: Api.QueryUrl, params },
    {
      isTransformResponse: false,
    },
  );
  let model = {}
  if (isNullOrEmpty(data.Data.page)) {
    model = {
      items: data.Data.Items,
    };
  } else {
      model = {
        items: data.Data.page.data,
        total: data.Data.page.totals,
      };
    }
  return model;
}
//下拉列表
// STATUSs 单据状态
export const optionsListApi = async (params: Recordable) => {
  const usParams = genAction('SMT_LOAD_HIS+OPERATIONs', '');
  return await defHttp.post(
    { url: Api.urlQueryEnum, params: usParams },
    {
      errorMessageMode: 'none',
      isTransformResponse: false,
      // apiUrl: globSetting.taskApiUrl
    },
  );
};